Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Backends for the gio framework in GLib
Name:		gvfs
Version:	1.5.5
Release:	2
BuildArch:	i686
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gtk.org
Source:		http://download.gnome.org/sources/gvfs/0.2/gvfs-%{version}.tar.bz2
# fix compilation against libimobiledevice 1.0.0
# don`t let gphoto2 mount ipod or iphone devices
Patch0:		gvfs-1.5.5-libimobiledevice.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Manual build dependencies
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: samba-common
BuildRequires: samba-devel
BuildRequires: libimobiledevice-devel
BuildRequires: libplist-devel
BuildRequires: usbmuxd-devel


#Automatically resolved build dependencies
BuildRequires: avahi-devel
BuildRequires: bluez-devel
BuildRequires: bzip2-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fuse-userspace-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnutls-devel
BuildRequires: hal-devel
BuildRequires: libacl-devel
BuildRequires: libarchive-devel
BuildRequires: libattr-devel
BuildRequires: libcdio-devel
BuildRequires: libexif-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgphoto2-devel
BuildRequires: libproxy-devel
BuildRequires: libsoup-devel
BuildRequires: libtasn1-devel
BuildRequires: libtool-devel
BuildRequires: libusb-devel
BuildRequires: libusb1-devel
BuildRequires: libxml2-devel
BuildRequires: ORBit2-devel
#BuildRequires: samba-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel libsmbios-devel polkit-devel libgphoto2-devel hal-devel cdparanoia-III-devel

%description
The gvfs package provides backend implementations for the gio 
framework in GLib. It includes ftp, sftp, cifs. 

%package	devel
Summary:	Development files for gvfs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The gvfs-devel package contains headers and other files that are
required to develop applications using gvfs.

%post
/sbin/ldconfig
# Reload .mount files:
killall -USR1 gvfsd > /dev/null || :

%postun -p /sbin/ldconfig

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-gdu --enable-afc
make # %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%find_lang gvfs

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gvfs.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS
%{_sysconfdir}/profile.d/gvfs-bash-completion.sh
%{_bindir}/gvfs-cat
%{_bindir}/gvfs-copy
%{_bindir}/gvfs-info
%{_bindir}/gvfs-less
%{_bindir}/gvfs-ls
%{_bindir}/gvfs-mkdir
%{_bindir}/gvfs-monitor-dir
%{_bindir}/gvfs-monitor-file
%{_bindir}/gvfs-mount
%{_bindir}/gvfs-move
%{_bindir}/gvfs-open
%{_bindir}/gvfs-rename
%{_bindir}/gvfs-rm
%{_bindir}/gvfs-save
%{_bindir}/gvfs-set-attribute
%{_bindir}/gvfs-trash
%{_bindir}/gvfs-tree
%{_libdir}exec/gvfs-afc-volume-monitor
%{_libdir}exec/gvfsd
%{_libdir}exec/gvfsd-afc
%{_libdir}exec/gvfsd-archive
%{_libdir}exec/gvfsd-burn
%{_libdir}exec/gvfsd-cdda
%{_libdir}exec/gvfsd-computer
%{_libdir}exec/gvfsd-dav
%{_libdir}exec/gvfsd-dnssd
%{_libdir}exec/gvfsd-ftp
%{_libdir}exec/gvfsd-gphoto2
%{_libdir}exec/gvfsd-http
%{_libdir}exec/gvfsd-localtest
%{_libdir}exec/gvfsd-metadata
%{_libdir}exec/gvfsd-network
%{_libdir}exec/gvfsd-obexftp
%{_libdir}exec/gvfsd-sftp
%{_libdir}exec/gvfsd-trash
%{_libdir}exec/gvfs-fuse-daemon
%{_libdir}exec/gvfs-gphoto2-volume-monitor
%{_libdir}exec/gvfs-hal-volume-monitor
%{_libdir}/gio/modules/libgiogconf.so
%{_libdir}/gio/modules/libgioremote-volume-monitor.so
%{_libdir}/gio/modules/libgvfsdbus.so
%{_libdir}/libgvfscommon-dnssd.so.*
%{_libdir}/libgvfscommon.so.*
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/gvfs-metadata.service
%{_datadir}/dbus-1/services/org.gtk.Private.AfcVolumeMonitor.service
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/dbus-1/services/org.gtk.Private.HalVolumeMonitor.service
%{_datadir}/gvfs/mounts/afc.mount
%{_datadir}/gvfs/mounts/archive.mount
%{_datadir}/gvfs/mounts/burn.mount
%{_datadir}/gvfs/mounts/cdda.mount
%{_datadir}/gvfs/mounts/computer.mount
%{_datadir}/gvfs/mounts/dav.mount
%{_datadir}/gvfs/mounts/dav+sd.mount
%{_datadir}/gvfs/mounts/dns-sd.mount
%{_datadir}/gvfs/mounts/ftp.mount
%{_datadir}/gvfs/mounts/gphoto2.mount
%{_datadir}/gvfs/mounts/http.mount
%{_datadir}/gvfs/mounts/localtest.mount
%{_datadir}/gvfs/mounts/network.mount
%{_datadir}/gvfs/mounts/obexftp.mount
%{_datadir}/gvfs/mounts/sftp.mount
%{_datadir}/gvfs/mounts/trash.mount
%{_datadir}/gvfs/remote-volume-monitors/afc.monitor
%{_datadir}/gvfs/remote-volume-monitors/gphoto2.monitor
%{_datadir}/gvfs/remote-volume-monitors/hal.monitor
%{_locale}/*/LC_MESSAGES/gvfs.mo
/usr/libexec/gvfsd-smb
/usr/libexec/gvfsd-smb-browse
/usr/share/gvfs/mounts/smb-browse.mount
/usr/share/gvfs/mounts/smb.mount

%files devel
%defattr(-, root, root, -)
%{_includedir}/gvfs-client/gvfs/gvfsurimapper.h 
%{_includedir}/gvfs-client/gvfs/gvfsuriutils.h  
%{_libdir}exec/gvfs-hal-volume-monitor          
%{_libdir}/gio/modules/libgiogconf.la           
%{_libdir}/gio/modules/libgioremote-volume-monitor.la
%{_libdir}/gio/modules/libgvfsdbus.la                
%{_libdir}/libgvfscommon-dnssd.la                    
%{_libdir}/libgvfscommon-dnssd.so                    
%{_libdir}/libgvfscommon.la                          
%{_libdir}/libgvfscommon.so                          

%changelog
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.5.5-2
- rebuilt against libimobiledevice 1.0.0
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.5.5-1
- Version update
* Wed Feb 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-2
- rebuilt against libimobiledevice 0.9.7
* Fri Jan 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-1
- Version update
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.5.1-1
- Version update
* Wed Apr 01 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Sun Aug 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.5-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.3-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.0.1-1
- Initial release
